\documentclass[letterpaper, 11pt]{article}

% Use biblatex instead of bibtex
\usepackage[
    backend=biber,
    style=reading,
    entrykey=false,
    maxbibnames=99,
    sorting=ydnt,
    loadfiles=true,
    doi=true
]{biblatex}
\usepackage{hyperref}

%%%% style setup %%%%%
% From: https://tex.stackexchange.com/a/401881
% Increase space between entries from 2\bibitemsep to 4\bibitemsep
\makeatletter
\patchcmd{\bbx@item@full}
  {\itemsep2\bibitemsep}
  {\itemsep4\bibitemsep}
  {}
  {}
\makeatother

% redefine entryhead:full so that
% Author name is removed from banner and left hand text displays only title
\renewbibmacro*{entryhead:full}{%
  \printfield{labeltitle} (\printfield{year})%
  \hfill
}

% Change word Annotations to Description
\DeclareFieldFormat{annotation}{Description\addcolon\space #1}
%%%%

% Look in abstracts/annotations dirs for external abstracts/annotations
\renewcommand{\bibabstractprefix}{abstracts/bibabstract-}
\renewcommand{\bibannotationprefix}{annotations/bibannotation-}

% Setup a custom filter with an OR statement
\defbibfilter{custom}{
    keyword={virtual unwrapping} or keyword={team}
}

% Hide hyperlink outlines
\hypersetup{
  hidelinks,
  pdfauthor={EduceLab},
  pdftitle={EduceLab Annotated Bibliography},
  pdfsubject={An annotated bibliography of EduceLab publications and virtual unwrapping-related topics}
}


% Load the biblatex references
\input{add-all-biblatex}

% Begin the actual document
\begin{document}

% Sets all refs to be (potentially) printed
\nocite{*}

% Print all refs
%\printbibliography

% Print only refs that pass a custom filter
%\printbibliography[filter=custom]

% Print team papers
\printbibliography[keyword=team, title={EduceLab Research}, heading=bibintoc]

% Print virtual unwrapping papers from others
\printbibliography[keyword={virtual unwrapping}, notkeyword={team}, title={Virtual Unwrapping}, heading=bibintoc]

% \printbibliography[keyword=xray, title={Related Work}]

% Print all virtual unwrapping papers
%\printbibliography[keyword={virtual unwrapping}, title={Virtual Unwrapping}]

\end{document}
